<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.xunao.effectdemo">

    <uses-sdk tools:overrideLibrary="com.qmuiteam.qmui" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO"/>

    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" /> <!-- 6.0以上需要加的额外权限 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />

    <application
        android:name=".App"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:usesCleartextTraffic="true"
        android:theme="@style/AppTheme">

        <activity android:name=".activity.MainActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
<!--                <action android:name="android.intent.action.VIEW" />-->
<!--                <category android:name="android.intent.category.DEFAULT" />-->
<!--                <category android:name="android.intent.category.BROWSABLE" />-->
<!--                <data android:scheme="um.6304343088ccdf4b7e0d67bb" />-->
            </intent-filter>
        </activity>
        <activity
            android:name=".activity.GuideActivity"
            android:screenOrientation="landscape" />
        <activity android:name=".activity.ListActivity" />
        <activity android:name=".activity.AnimActivity" />
        <activity
            android:name=".activity.TestActivity"
            android:screenOrientation="landscape" />
        <activity
            android:name=".activity.Test2Activity"
            android:screenOrientation="landscape" />
        <activity android:name=".activity.EntyAnimActivity" />
        <activity
            android:name=".activity.QuxianActivity"
            android:screenOrientation="landscape" />
        <activity android:name=".activity.ProgressDemoActivity" />
        <activity android:name=".activity.ActivityViewActivity" />
        <activity
            android:name=".activity.DragSelectActivity"
            android:screenOrientation="landscape" />
        <activity
            android:name=".activity.CountDownActivity"
            android:screenOrientation="landscape" />
        <activity android:name=".activity.LottieActivity"/>
        <activity android:name=".activity.CongratulationsActivity"/>
        <activity android:name=".activity.SoundActivity"/>
        <activity android:name=".activity.StarsActivity"
            android:screenOrientation="landscape"/>

        <service android:name=".receiver.MyService"
            android:enabled="true"
            android:exported="false"
            android:process=":pushcore">
            <intent-filter>
                <action android:name="cn.jiguang.user.service.action" />
            </intent-filter>
        </service>
        <receiver
            android:name=".receiver.PushMessageReceiver"
            android:enabled="true"
            android:exported="false">
            <intent-filter>
                <action android:name="cn.jpush.android.intent.RECEIVE_MESSAGE" />
                <category android:name="com.xunao.effectdemo"/>
            </intent-filter>
        </receiver>
        <provider
            android:name="cn.jiguang.union.ads.service.JAdFileProvider"
            android:authorities="${applicationId}.JAdFileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/jpush_file_paths" />
            <intent-filter>
                <action android:name="cn.jpush.android.intent.FileProvider" />
                <category android:name="${applicationId}" />
            </intent-filter>
        </provider>

        <activity android:name=".activity.UMengLoginActivity"/>
        <activity
            android:name=".activity.WebActivity"
            android:screenOrientation="landscape" />
    </application>

</manifest>